"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Configuration_1 = require("../../Configuration/Configuration");
/** Устанавливает право на чтение для поля по AccessRule текущего пользователя */
function VisibleAccess(accessRule) {
    return (target, propertyKey) => {
        if (!target[Configuration_1.CONFIGURATION.AccessProxyVisibleRulesName]) {
            target[Configuration_1.CONFIGURATION.AccessProxyVisibleRulesName] = {};
        }
        target[Configuration_1.CONFIGURATION.AccessProxyVisibleRulesName][propertyKey] = accessRule;
    };
}
exports.VisibleAccess = VisibleAccess;
