"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Configuration_1 = require("../../Configuration/Configuration");
/** Устанавливает право на запись для поля по AccessRule текущего пользователя */
function WritableAccess(accessRule) {
    return (target, propertyKey) => {
        if (!target[Configuration_1.CONFIGURATION.AccessProxyWritableRulesName]) {
            target[Configuration_1.CONFIGURATION.AccessProxyWritableRulesName] = {};
        }
        target[Configuration_1.CONFIGURATION.AccessProxyWritableRulesName][propertyKey] = accessRule;
    };
}
exports.WritableAccess = WritableAccess;
